import api from './api'

/**
 * 获得商品分类列表
 */
export function getCategoryList(data) {
  console.log('--> % getUserInfo % data:\n', data)
  return api.get('/product/category/list', data, { login: false })
}

/**
 * 商品列表
 */
export function getProductList(data) {
  console.log('--> % getUserInfo % data:\n', data)
  return api.get('/product/products', data, { login: false })
}

/**
 * 商品详情
 */
export function getProductDetail(data) {
  console.log('--> % getUserInfo % data:\n', data)
  return api.get(`/product/detail/${data}`, data, { login: false })
}

/**
 * 添加收藏
 */
export function getProductAddCollect(data) {
  return api.post(`/relation/collect/add`, data, { login: false })
}

/**
 * 取消收藏
 */
export function getProductDelCollect(data) {
  return api.post(`/relation/collect/del`, data, { login: false })
}
